// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: event/generic/DeviceDiscovery.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Event.Generic {

  /// <summary>Holder for reflection information generated from event/generic/DeviceDiscovery.proto</summary>
  public static partial class DeviceDiscoveryReflection {

    #region Descriptor
    /// <summary>File descriptor for event/generic/DeviceDiscovery.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static DeviceDiscoveryReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "CiNldmVudC9nZW5lcmljL0RldmljZURpc2NvdmVyeS5wcm90bxINZXZlbnQu",
            "Z2VuZXJpYyLrAQoPRGV2aWNlRGlzY292ZXJ5EhkKEWRldmljZV9pZGVudGlm",
            "aWVyGAEgASgJEjYKB2RldmljZXMYAiADKAsyJS5ldmVudC5nZW5lcmljLkRl",
            "dmljZURpc2NvdmVyeS5EZXZpY2UahAEKBkRldmljZRIZChFkZXZpY2VfaWRl",
            "bnRpZmllchgBIAEoCRIVCg1zZXJpYWxfbnVtYmVyGAIgASgJEhkKDG1hbnVm",
            "YWN0dXJlchgDIAEoCUgAiAEBEhIKBW1vZGVsGAQgASgJSAGIAQFCDwoNX21h",
            "bnVmYWN0dXJlckIICgZfbW9kZWxChwEKH2NvbS5jb2RpYmx5Lm1vZGVsLmV2",
            "ZW50LmdlbmVyaWNCFERldmljZURpc2NvdmVyeVByb3RvygIfRG9tYWluTW9k",
            "ZWxcUHJvdG9cRXZlbnRcR2VuZXJpY+ICK0RvbWFpbk1vZGVsXFByb3RvXEV2",
            "ZW50XEdlbmVyaWNcR1BCTWV0YWRhdGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Event.Generic.DeviceDiscovery), global::Event.Generic.DeviceDiscovery.Parser, new[]{ "DeviceIdentifier", "Devices" }, null, null, null, new pbr::GeneratedClrTypeInfo[] { new pbr::GeneratedClrTypeInfo(typeof(global::Event.Generic.DeviceDiscovery.Types.Device), global::Event.Generic.DeviceDiscovery.Types.Device.Parser, new[]{ "DeviceIdentifier", "SerialNumber", "Manufacturer", "Model" }, new[]{ "Manufacturer", "Model" }, null, null, null)})
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class DeviceDiscovery : pb::IMessage<DeviceDiscovery>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<DeviceDiscovery> _parser = new pb::MessageParser<DeviceDiscovery>(() => new DeviceDiscovery());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<DeviceDiscovery> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Event.Generic.DeviceDiscoveryReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeviceDiscovery() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeviceDiscovery(DeviceDiscovery other) : this() {
      deviceIdentifier_ = other.deviceIdentifier_;
      devices_ = other.devices_.Clone();
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public DeviceDiscovery Clone() {
      return new DeviceDiscovery(this);
    }

    /// <summary>Field number for the "device_identifier" field.</summary>
    public const int DeviceIdentifierFieldNumber = 1;
    private string deviceIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DeviceIdentifier {
      get { return deviceIdentifier_; }
      set {
        deviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    /// <summary>Field number for the "devices" field.</summary>
    public const int DevicesFieldNumber = 2;
    private static readonly pb::FieldCodec<global::Event.Generic.DeviceDiscovery.Types.Device> _repeated_devices_codec
        = pb::FieldCodec.ForMessage(18, global::Event.Generic.DeviceDiscovery.Types.Device.Parser);
    private readonly pbc::RepeatedField<global::Event.Generic.DeviceDiscovery.Types.Device> devices_ = new pbc::RepeatedField<global::Event.Generic.DeviceDiscovery.Types.Device>();
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public pbc::RepeatedField<global::Event.Generic.DeviceDiscovery.Types.Device> Devices {
      get { return devices_; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as DeviceDiscovery);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(DeviceDiscovery other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (DeviceIdentifier != other.DeviceIdentifier) return false;
      if(!devices_.Equals(other.devices_)) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (DeviceIdentifier.Length != 0) hash ^= DeviceIdentifier.GetHashCode();
      hash ^= devices_.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      devices_.WriteTo(output, _repeated_devices_codec);
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (DeviceIdentifier.Length != 0) {
        output.WriteRawTag(10);
        output.WriteString(DeviceIdentifier);
      }
      devices_.WriteTo(ref output, _repeated_devices_codec);
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (DeviceIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DeviceIdentifier);
      }
      size += devices_.CalculateSize(_repeated_devices_codec);
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(DeviceDiscovery other) {
      if (other == null) {
        return;
      }
      if (other.DeviceIdentifier.Length != 0) {
        DeviceIdentifier = other.DeviceIdentifier;
      }
      devices_.Add(other.devices_);
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 18: {
            devices_.AddEntriesFrom(input, _repeated_devices_codec);
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            DeviceIdentifier = input.ReadString();
            break;
          }
          case 18: {
            devices_.AddEntriesFrom(ref input, _repeated_devices_codec);
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the DeviceDiscovery message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public sealed partial class Device : pb::IMessage<Device>
      #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          , pb::IBufferMessage
      #endif
      {
        private static readonly pb::MessageParser<Device> _parser = new pb::MessageParser<Device>(() => new Device());
        private pb::UnknownFieldSet _unknownFields;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pb::MessageParser<Device> Parser { get { return _parser; } }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public static pbr::MessageDescriptor Descriptor {
          get { return global::Event.Generic.DeviceDiscovery.Descriptor.NestedTypes[0]; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        pbr::MessageDescriptor pb::IMessage.Descriptor {
          get { return Descriptor; }
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public Device() {
          OnConstruction();
        }

        partial void OnConstruction();

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public Device(Device other) : this() {
          deviceIdentifier_ = other.deviceIdentifier_;
          serialNumber_ = other.serialNumber_;
          manufacturer_ = other.manufacturer_;
          model_ = other.model_;
          _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public Device Clone() {
          return new Device(this);
        }

        /// <summary>Field number for the "device_identifier" field.</summary>
        public const int DeviceIdentifierFieldNumber = 1;
        private string deviceIdentifier_ = "";
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string DeviceIdentifier {
          get { return deviceIdentifier_; }
          set {
            deviceIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }

        /// <summary>Field number for the "serial_number" field.</summary>
        public const int SerialNumberFieldNumber = 2;
        private string serialNumber_ = "";
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string SerialNumber {
          get { return serialNumber_; }
          set {
            serialNumber_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }

        /// <summary>Field number for the "manufacturer" field.</summary>
        public const int ManufacturerFieldNumber = 3;
        private string manufacturer_;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string Manufacturer {
          get { return manufacturer_ ?? ""; }
          set {
            manufacturer_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }
        /// <summary>Gets whether the "manufacturer" field is set</summary>
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public bool HasManufacturer {
          get { return manufacturer_ != null; }
        }
        /// <summary>Clears the value of the "manufacturer" field</summary>
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void ClearManufacturer() {
          manufacturer_ = null;
        }

        /// <summary>Field number for the "model" field.</summary>
        public const int ModelFieldNumber = 4;
        private string model_;
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public string Model {
          get { return model_ ?? ""; }
          set {
            model_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
          }
        }
        /// <summary>Gets whether the "model" field is set</summary>
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public bool HasModel {
          get { return model_ != null; }
        }
        /// <summary>Clears the value of the "model" field</summary>
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void ClearModel() {
          model_ = null;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override bool Equals(object other) {
          return Equals(other as Device);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public bool Equals(Device other) {
          if (ReferenceEquals(other, null)) {
            return false;
          }
          if (ReferenceEquals(other, this)) {
            return true;
          }
          if (DeviceIdentifier != other.DeviceIdentifier) return false;
          if (SerialNumber != other.SerialNumber) return false;
          if (Manufacturer != other.Manufacturer) return false;
          if (Model != other.Model) return false;
          return Equals(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override int GetHashCode() {
          int hash = 1;
          if (DeviceIdentifier.Length != 0) hash ^= DeviceIdentifier.GetHashCode();
          if (SerialNumber.Length != 0) hash ^= SerialNumber.GetHashCode();
          if (HasManufacturer) hash ^= Manufacturer.GetHashCode();
          if (HasModel) hash ^= Model.GetHashCode();
          if (_unknownFields != null) {
            hash ^= _unknownFields.GetHashCode();
          }
          return hash;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public override string ToString() {
          return pb::JsonFormatter.ToDiagnosticString(this);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void WriteTo(pb::CodedOutputStream output) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          output.WriteRawMessage(this);
        #else
          if (DeviceIdentifier.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(DeviceIdentifier);
          }
          if (SerialNumber.Length != 0) {
            output.WriteRawTag(18);
            output.WriteString(SerialNumber);
          }
          if (HasManufacturer) {
            output.WriteRawTag(26);
            output.WriteString(Manufacturer);
          }
          if (HasModel) {
            output.WriteRawTag(34);
            output.WriteString(Model);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(output);
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
          if (DeviceIdentifier.Length != 0) {
            output.WriteRawTag(10);
            output.WriteString(DeviceIdentifier);
          }
          if (SerialNumber.Length != 0) {
            output.WriteRawTag(18);
            output.WriteString(SerialNumber);
          }
          if (HasManufacturer) {
            output.WriteRawTag(26);
            output.WriteString(Manufacturer);
          }
          if (HasModel) {
            output.WriteRawTag(34);
            output.WriteString(Model);
          }
          if (_unknownFields != null) {
            _unknownFields.WriteTo(ref output);
          }
        }
        #endif

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public int CalculateSize() {
          int size = 0;
          if (DeviceIdentifier.Length != 0) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(DeviceIdentifier);
          }
          if (SerialNumber.Length != 0) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(SerialNumber);
          }
          if (HasManufacturer) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(Manufacturer);
          }
          if (HasModel) {
            size += 1 + pb::CodedOutputStream.ComputeStringSize(Model);
          }
          if (_unknownFields != null) {
            size += _unknownFields.CalculateSize();
          }
          return size;
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(Device other) {
          if (other == null) {
            return;
          }
          if (other.DeviceIdentifier.Length != 0) {
            DeviceIdentifier = other.DeviceIdentifier;
          }
          if (other.SerialNumber.Length != 0) {
            SerialNumber = other.SerialNumber;
          }
          if (other.HasManufacturer) {
            Manufacturer = other.Manufacturer;
          }
          if (other.HasModel) {
            Model = other.Model;
          }
          _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
        }

        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        public void MergeFrom(pb::CodedInputStream input) {
        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
          input.ReadRawMessage(this);
        #else
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
                break;
              case 10: {
                DeviceIdentifier = input.ReadString();
                break;
              }
              case 18: {
                SerialNumber = input.ReadString();
                break;
              }
              case 26: {
                Manufacturer = input.ReadString();
                break;
              }
              case 34: {
                Model = input.ReadString();
                break;
              }
            }
          }
        #endif
        }

        #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
        [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
        [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
        void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
          uint tag;
          while ((tag = input.ReadTag()) != 0) {
            switch(tag) {
              default:
                _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
                break;
              case 10: {
                DeviceIdentifier = input.ReadString();
                break;
              }
              case 18: {
                SerialNumber = input.ReadString();
                break;
              }
              case 26: {
                Manufacturer = input.ReadString();
                break;
              }
              case 34: {
                Model = input.ReadString();
                break;
              }
            }
          }
        }
        #endif

      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
